<div id="employee">
 <div class="columns">
  <div class="column col-12">
    <%= if @is_first_time != nil && @is_first_time do %>
      <div class="toast toast-error">
        Welcome! You are currently using a default password. <%= link("Reset password", to: Routes.employee_path(@conn, :load_reset)) %>
      </div>
    <% end %>
  </div>
  <div class="column col-4 space">
    <span class="badge h3" data-badge="<%= @count %>">
      All Employees
    </span>
    <span class="table-selection" v-show="selectionExists"> {{selectionMessage}} </span>
  </div>
  <div class="column col-8">
    <div class="float-right">
    <button class="btn btn-sm t_btn" v-on:click="open_modal_1" >Add Employee</button>
    <button class="btn btn-sm t_btn" v-on:click="open_modal_2">Bulk Employee Upload</button>
     <Modal1 v-if="display_add_employee_modal" @close-modal="toggleModal"></Modal1>
     <Modal2 v-if="display_bulk_upload_modal" @close-modal="toggleModal"></Modal2>      
     <Modal3 @close="toggleModal" v-if='display_show_modal' :row_data=row_data :display_show_modal= display_show_modal></Modal3>
      <span class="dropdown actions">
      <a href="#" class="btn btn-link dropdown-toggle" tabindex="0">Actions 
      <img src="<%= Routes.static_path(@conn, "/images/icons/selector.svg") %>" alt="Selector icon" class="" />
      </a>
      <ul class="menu">
        <li class="action_menu" @click="addPackage">Add Package</li>
        <li class="action_menu" @click="change_roles">Bulk Assign Role</li>        
        <%# <li class="action_menu">Action...</li> %>
      </ul>
     </span> 
     <BulkAssignRole :selected-row="selectedRow" v-if="display_bulk_assign_role_modal"  @close-modal="toggleModal"/>
    </div>
  </div>
  <div class="column col-12">
      <data-tables-server ref="multipleTable" :data="employees" :total="total" @query-change="fetchData" :pagination-props="pagination"  :table-props="tableProps"  :layout="layout" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55">
      </el-table-column>
      <el-table-column label="Employee ID" sortable prop="id">
        <template slot-scope="scope">
          <span>{{ scope.row.id }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Name" sortable prop="name">
        <template slot-scope="scope">
          <span v-for="button in tableListner(scope.row)" :key= "scope.row.name" type="text" class="td_text"
            @click="button.handler">
            {{ scope.row.name }}
          </span>
        </template>
      </el-table-column>
      <el-table-column label="Job Role">
        <template slot-scope="scope">
          <span>{{ scope.row.role }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Gender" sortable prop="gender">
        <template slot-scope="scope">
          <span>{{ scope.row.gender }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Status">
        <template slot-scope="scope">
          <span>{{ scope.row.status }}</span>
        </template>
      </el-table-column>
    </data-tables-server>
  </div>
  <div class="column col-12">  
    <div id ="vue_modal_3"></div> 
  </div>
</div>
